Bug 1671452 - [abrt] yp-tools: ypgetpw(): yppasswd killed by SIGSEGV
Summary: [abrt] yp-tools: ypgetpw(): yppasswd killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yp-tools
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matej Mužila
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:4683a548f58724baaf51efde7c8...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-31 15:43 UTC by RobbieTheK
Modified: 2019-11-11 01:05 UTC (History)
4 users (show)

Fixed In Version: yp-tools-4.2.3-6.fc30 yp-tools-4.2.3-6.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-09 22:39:20 UTC


Attachments (Terms of Use)
File: backtrace (21.82 KB, text/plain)
2019-01-31 15:43 UTC, RobbieTheK
no flags Details
File: cgroup (368 bytes, text/plain)
2019-01-31 15:43 UTC, RobbieTheK
no flags Details
File: core_backtrace (709 bytes, text/plain)
2019-01-31 15:43 UTC, RobbieTheK
no flags Details
File: cpuinfo (1.27 KB, text/plain)
2019-01-31 15:43 UTC, RobbieTheK
no flags Details
File: dso_list (1.84 KB, text/plain)
2019-01-31 15:43 UTC, RobbieTheK
no flags Details
File: environ (4.05 KB, text/plain)
2019-01-31 15:43 UTC, RobbieTheK
no flags Details
File: exploitable (82 bytes, text/plain)
2019-01-31 15:43 UTC, RobbieTheK
no flags Details
File: limits (1.29 KB, text/plain)
2019-01-31 15:43 UTC, RobbieTheK
no flags Details
File: maps (10.95 KB, text/plain)
2019-01-31 15:43 UTC, RobbieTheK
no flags Details
File: mountinfo (8.81 KB, text/plain)
2019-01-31 15:43 UTC, RobbieTheK
no flags Details
File: open_fds (140 bytes, text/plain)
2019-01-31 15:43 UTC, RobbieTheK
no flags Details
File: proc_pid_status (1.31 KB, text/plain)
2019-01-31 15:43 UTC, RobbieTheK
no flags Details

Description RobbieTheK 2019-01-31 15:43:15 UTC
Version-Release number of selected component:
yp-tools-4.2.3-2.fc29

Additional info:
reporter:       libreport-2.9.7
backtrace_rating: 4
cmdline:        yppasswd
crash_function: ypgetpw
executable:     /usr/bin/yppasswd
journald_cursor: s=fe292745c5dc4d4bae2f0436e2204d86;i=19b6fa8f;b=8e6cbe1ff9f9468aa2884bd090e46012;m=12716937eab;t=57f9690c080d4;x=42b1e4f9946ff3c6
kernel:         4.19.10-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            7105

Truncated backtrace:
Thread no. 1 (1 frames)
 #0 ypgetpw at yppasswd.c:284

Comment 1 RobbieTheK 2019-01-31 15:43:17 UTC
Created attachment 1525433 [details]
File: backtrace

Comment 2 RobbieTheK 2019-01-31 15:43:18 UTC
Created attachment 1525434 [details]
File: cgroup

Comment 3 RobbieTheK 2019-01-31 15:43:19 UTC
Created attachment 1525435 [details]
File: core_backtrace

Comment 4 RobbieTheK 2019-01-31 15:43:20 UTC
Created attachment 1525436 [details]
File: cpuinfo

Comment 5 RobbieTheK 2019-01-31 15:43:20 UTC
Created attachment 1525437 [details]
File: dso_list

Comment 6 RobbieTheK 2019-01-31 15:43:21 UTC
Created attachment 1525438 [details]
File: environ

Comment 7 RobbieTheK 2019-01-31 15:43:22 UTC
Created attachment 1525439 [details]
File: exploitable

Comment 8 RobbieTheK 2019-01-31 15:43:23 UTC
Created attachment 1525440 [details]
File: limits

Comment 9 RobbieTheK 2019-01-31 15:43:24 UTC
Created attachment 1525441 [details]
File: maps

Comment 10 RobbieTheK 2019-01-31 15:43:25 UTC
Created attachment 1525442 [details]
File: mountinfo

Comment 11 RobbieTheK 2019-01-31 15:43:26 UTC
Created attachment 1525443 [details]
File: open_fds

Comment 12 RobbieTheK 2019-01-31 15:43:26 UTC
Created attachment 1525444 [details]
File: proc_pid_status

Comment 13 Filip Januš 2019-10-08 08:29:29 UTC
Hi,
in this case probably ended up calling function clnt_create() from rpc with return value NULL, which lead to SIGSEGV. For avoiding this behavior was created pull request: https://github.com/thkukuk/yp-tools/pull/6

Comment 14 Filip Januš 2019-10-10 10:45:28 UTC
sorry for incorrect link to pull request here is new one: https://github.com/thkukuk/yp-tools/pull/7

Comment 15 Ben Cotton 2019-10-31 18:46:55 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Fedora Update System 2019-11-01 09:58:23 UTC
FEDORA-2019-c6a0e1b5cc has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c6a0e1b5cc

Comment 17 Fedora Update System 2019-11-01 10:24:44 UTC
FEDORA-2019-4820502b2f has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-4820502b2f

Comment 18 Fedora Update System 2019-11-02 02:26:34 UTC
yp-tools-4.2.3-6.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-4820502b2f

Comment 19 Fedora Update System 2019-11-03 06:01:20 UTC
yp-tools-4.2.3-6.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c6a0e1b5cc

Comment 20 Fedora Update System 2019-11-09 22:39:20 UTC
yp-tools-4.2.3-6.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2019-11-11 01:05:46 UTC
yp-tools-4.2.3-6.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.